View Issue Details

IDProjectCategoryView StatusLast Update
0030747Open CASCADEOCCT:Modeling Algorithmspublic2021-10-16 11:46
Reporteranv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.7.0Fixed in Version7.6.0 
Summary0030747: Modeling Algorithms - 2d Curves concatenator doesn't properly process closed contours.
DescriptionMethod Add from Geom2dConvert_CompCurveToBSplineCurve checks if initial curve is closed and not the resulting one. This at least leads to an incorrect usage of the parameter After.
Steps To ReproduceNot possible
TagsNo tags attached.
Test case numberbugs/modalg_7/bug30747

Activities

git

2019-05-27 16:42

administrator   ~0084666

Branch CR30747 has been created by anv.

SHA-1: 6e158a5f0492913492f2d1e81b971e75b3dae319


Detailed log of new commits:

Author: anv
Date: Mon May 27 16:41:16 2019 +0300

    0030747: Modeling Algorithms - 2d Curves concatenator doesn't properly process closed contours.
    
    Correct processing of closed curves was added to method Geom2dConvert_CompCurveToBSplineCurve::Add

anv

2019-05-27 16:50

developer   ~0084669

Mikhail, I've come across this issue while trying to concatenate two curves that form a full contour. Curve is being added to the end even though parameter After states otherwise. I've fixed it in a similar way it's being proceeded for 3d curves. Please check.

msv

2019-05-27 16:50

developer   ~0084670

Please provide information about the source project and test case.

msv

2019-05-27 17:37

developer   ~0084671

Please test it first.

git

2019-06-06 17:23

administrator   ~0084928

Branch CR30747 has been updated forcibly by anv.

SHA-1: 359cd8325a9681c5fcadbfb8f0f208a04c768a4b

git

2021-09-23 14:09

administrator   ~0104313

Branch CR30747_1 has been created by abulychev-ext.

SHA-1: 2ff6c6e048bcdbb54152685760fe8683a9d1318e


Detailed log of new commits:

Author: abulyche
Date: Thu Sep 23 14:08:40 2021 +0300

    0030747: Modeling Algorithms - 2d Curves concatenator doesn't properly process closed contours.
    
    This branch was created to create a test for this problem and fixes of anv.
     -Added the test for this problem.
     -Correct Geom2dConvert_CompCurveToBSplineCurve::Add in Geom2dConvert_CompCurveToBSplineCurve.hxx

msv

2021-09-27 14:07

developer   ~0104398

Please avoid creation of merged loop in the repository. Use rebase instead of merging.

git

2021-10-04 04:01

administrator   ~0104495

Branch CR30747_2 has been created by abulychev-ext.

SHA-1: dd2dd925a64319fd3ab1301fa15192e55f667ffe


Detailed log of new commits:

Author: abulyche
Date: Mon Oct 4 04:00:55 2021 +0300

    0030747: Modeling Algorithms - 2d Curves concatenator doesn't properly process closed contours.
    
    Corrected Geom2dConvert_CompCurveToBSplineCurve::Add in Geom2dConvert_CompCurveToBSplineCurve.cxx;
    Added the test for this problem;
    Corrected "gluing" curves in ProjLib_ProjectedCurve.cxx.

git

2021-10-04 13:57

administrator   ~0104500

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: 5941225d88292bcac4653abb1e1f28bdb458f3c1

git

2021-10-05 15:41

administrator   ~0104520

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: 21fbb76a90dede7f4bde2d32b6f2ff75beebac7e

git

2021-10-05 17:48

administrator   ~0104521

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: 207f03e8feaef7b3817ecf4298c77449f018e1a8

git

2021-10-07 11:36

administrator   ~0104530

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: f8683997bd613e588e54b348f479db9041599708

git

2021-10-12 10:32

administrator   ~0104599

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: 8022dd5c1c9df823e6472d7d6e853b2f11eb95de

git

2021-10-12 10:36

administrator   ~0104600

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: 0f23e7e3f2b6d1a69406446254980f556fd164cb

kgv

2021-10-12 14:34

developer   ~0104607

Last edited: 2021-10-12 14:35

-  aCompCurve.Add(aSegment, aTol);
+  
+  if (FirstOrLast == 0)
+  {
+    aCompCurve.Add(aSegment, aTol, Standard_False);
+  }
+  else
+  {
+    aCompCurve.Add(aSegment, aTol,Standard_True);
+  }

Usually the code should look like
> aCompCurve.Add (aSegment, aTol, FirstOrLast != 0);
for better readability.

+  Standard_Real aSqTol = Tolerance * Tolerance;

const Standard_Real

git

2021-10-12 16:41

administrator   ~0104614

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: ae72af9d2fa48083638d401c8a03b4cbba449e79

git

2021-10-12 18:32

administrator   ~0104615

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: 22cca71768e99d2243da36d1ccadfe299f50c64c

git

2021-10-12 21:13

administrator   ~0104616

Branch CR30747_2 has been updated forcibly by abulychev-ext.

SHA-1: a489f47af20a8fbafebf5b548b13a33116b46594

ifv

2021-10-14 10:07

developer   ~0104630

Branch CR30747_2 seems to be valid

Branches for integrations
OCCT - CR30747_2
Products - not

smoskvin

2021-10-16 10:04

administrator   ~0104664

Combination -
OCCT branch : IR-2021-10-15
master SHA - 475da0f1352e60eebf1432cf136042444c7c5488
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-15 SHA - bd88028c52a28c63c191e235d0af754d59b66c81
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17699.720000000394 / 17936.010000000137 [-1.32%]
Products
Total CPU difference: 11665.880000000112 / 11621.340000000107 [+0.38%]
Windows-64-VC14:
OCCT
Total CPU difference: 19656.34375 / 19690.109375 [-0.17%]
Products
Total CPU difference: 12872.390625 / 12807.375 [+0.51%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-16 11:46

administrator   ~0104674

Branch CR30747 has been deleted by mnt.

SHA-1: 359cd8325a9681c5fcadbfb8f0f208a04c768a4b

git

2021-10-16 11:46

administrator   ~0104675

Branch CR30747_1 has been deleted by mnt.

SHA-1: 2ff6c6e048bcdbb54152685760fe8683a9d1318e

git

2021-10-16 11:46

administrator   ~0104676

Branch CR30747_2 has been deleted by mnt.

SHA-1: a489f47af20a8fbafebf5b548b13a33116b46594

Related Changesets

occt: master eb78d737

2021-10-04 01:00:55

abulyche


Committer: smoskvin Details Diff
0030747: Modeling Algorithms - 2d Curves concatenator doesn't properly process closed contours.

Corrected Geom2dConvert_CompCurveToBSplineCurve::Add in Geom2dConvert_CompCurveToBSplineCurve.cxx;
Added the test for this problem;
Corrected "gluing" curves in ProjLib_ProjectedCurve.cxx.
Affected Issues
0030747
mod - src/Geom2dConvert/Geom2dConvert_CompCurveToBSplineCurve.cxx Diff File
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff File
mod - src/QABugs/QABugs_20.cxx Diff File
add - tests/bugs/modalg_7/bug30747 Diff File

Issue History

Date Modified Username Field Change
2019-05-27 16:38 anv New Issue
2019-05-27 16:38 anv Assigned To => anv
2019-05-27 16:39 anv Summary 2d Curves concatenator doesn't properly process closed contours. => Modeling Algorithms - 2d Curves concatenator doesn't properly process closed contours.
2019-05-27 16:42 git Note Added: 0084666
2019-05-27 16:50 anv Note Added: 0084669
2019-05-27 16:50 anv Assigned To anv => msv
2019-05-27 16:50 anv Status new => resolved
2019-05-27 16:50 anv Steps to Reproduce Updated
2019-05-27 16:50 msv Note Added: 0084670
2019-05-27 17:22 bugmaster Project Internal => Open CASCADE
2019-05-27 17:37 msv Note Added: 0084671
2019-05-27 17:37 msv Status resolved => assigned
2019-06-06 17:23 git Note Added: 0084928
2019-08-12 18:05 msv Target Version 7.4.0 => 7.5.0
2019-08-12 18:06 msv Assigned To msv => anv
2020-09-14 22:53 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:51 msv Target Version 7.6.0 => 7.7.0
2021-09-21 10:07 ifv Assigned To anv => abulychev-ext
2021-09-23 14:09 git Note Added: 0104313
2021-09-23 15:43 abulychev-ext Test case number => bugs/modalg_7/bug30747
2021-09-27 14:07 msv Note Added: 0104398
2021-10-04 04:01 git Note Added: 0104495
2021-10-04 13:57 git Note Added: 0104500
2021-10-05 15:41 git Note Added: 0104520
2021-10-05 17:48 git Note Added: 0104521
2021-10-07 11:36 git Note Added: 0104530
2021-10-12 10:32 git Note Added: 0104599
2021-10-12 10:36 git Note Added: 0104600
2021-10-12 14:00 abulychev-ext Assigned To abulychev-ext => ifv
2021-10-12 14:00 abulychev-ext Status assigned => resolved
2021-10-12 14:34 kgv Note Added: 0104607
2021-10-12 14:35 kgv Note Edited: 0104607
2021-10-12 16:41 git Note Added: 0104614
2021-10-12 18:32 git Note Added: 0104615
2021-10-12 19:05 abulychev-ext Assigned To ifv => abulychev-ext
2021-10-12 19:05 abulychev-ext Status resolved => assigned
2021-10-12 21:13 git Note Added: 0104616
2021-10-13 08:11 abulychev-ext Assigned To abulychev-ext => ifv
2021-10-13 08:11 abulychev-ext Status assigned => resolved
2021-10-14 10:07 ifv Note Added: 0104630
2021-10-14 10:07 ifv Assigned To ifv => bugmaster
2021-10-14 10:07 ifv Status resolved => reviewed
2021-10-16 10:04 smoskvin Note Added: 0104664
2021-10-16 10:04 smoskvin Status reviewed => tested
2021-10-16 11:13 smoskvin Changeset attached => occt master eb78d737
2021-10-16 11:13 smoskvin Assigned To bugmaster => smoskvin
2021-10-16 11:13 smoskvin Status tested => verified
2021-10-16 11:13 smoskvin Resolution open => fixed
2021-10-16 11:46 git Note Added: 0104674
2021-10-16 11:46 git Note Added: 0104675
2021-10-16 11:46 git Note Added: 0104676